## libast 0.6-0pre2003010606

=== debian/changelog ===
libast (0.6-0pre2003010606) unstable; urgency=low

  * converted to CDBS
  * removed debian/compat, debian/shlibs.local
  * added debian/libast2.install and debian/libast2-dev.install
  * update to Standards-Version: 3.6.1.0
  * recomplile drops Depends: libttf2
  * added tightly versioned shlibs
  * removed -lttf check from libast.m4 because it breaks eterm builds
  * removed Build-Depends: libtool
  * added AC_PROG_LIBTOOL to configure.in
  * regenerated autotools files, config* and all

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  1 Nov 2003 17:30:58 -0500

libast (0.6-0pre2003010605) unstable; urgency=low

  * change -dev to section libdevel 

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 10 Sep 2003 06:10:41 -0400

libast (0.6-0pre2003010604) unstable; urgency=low

  * update libast-dev package description

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  9 Sep 2003 21:53:37 -0400

libast (0.6-0pre2003010603) unstable; urgency=low

  * Conflict/Replace libast1

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 14 Jan 2003 22:07:01 -0500

libast (0.6-0pre2003010602) unstable; urgency=low

  * rename source to libast
  * create libast2 packages

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  8 Jan 2003 09:47:57 -0500

libast1 (0.5-0pre2003010601) unstable; urgency=low

  * CVS snapshot 

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  7 Jan 2003 04:35:33 -0500

libast1 (0.5-0pre2002111702) unstable; urgency=low

  * added libtool build dependency
  * added version to shlibs

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 17 Nov 2002 19:53:09 -0500

libast1 (0.5-0pre2002111701) unstable; urgency=low

  * removed build root, TARFU
  * CVS snapshot
  * updated Standards Version to 3.5.7.0

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 15 Nov 2002 18:54:24 -0500

libast1 (0.4-3) unstable; urgency=low

  * config.{sub,guess} update, closes: #11985 

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 16 Nov 2001 15:05:53 -0500

libast1 (0.4-2) unstable; urgency=low

  * disable test program build again, closes: #118920 

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  9 Nov 2001 21:00:56 -0500

libast1 (0.4-1) unstable; urgency=low

  * new upstream version
  * debian/rules: partial rewrite
  * debian/control: updated to Standards-Version 3.5.6.0
  * debian/copyright: removed emacs mode settings

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  8 Nov 2001 21:47:02 -0500

libast1 (0.3-0pre2001062603) unstable; urgency=low

  * add version to shlibs

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 13 Jul 2001 14:12:35 -0400

libast1 (0.3-0pre2001062602) unstable; urgency=low

  * disable test program build again, Closes: #102436

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 27 Jun 2001 06:37:34 -0400

libast1 (0.3-0pre2001062601) unstable; urgency=low

  * new CVS snapshot 

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 26 Jun 2001 14:22:26 -0400

libast1 (0.3-0pre2001061801) unstable; urgency=low

  * new CVS snapshot
  * added upstream ChangeLog
  * corrected libast1-dev description (who reported that?)

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 18 Jun 2001 17:41:42 -0400

libast1 (0.3-0pre2001061301) unstable; urgency=low

  * new CVS snapshot
  * versioned shlib

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 13 Jun 2001 08:54:39 -0400

libast1 (0.1.0-0pre2001051703) unstable; urgency=low

  * added libast1 dependency to libast1-dev 

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 30 May 2001 23:38:23 -0400

libast1 (0.1.0-0pre2001051702) unstable; urgency=low

  * added --disable-mmx configure option
  * disabled test program build, closes: #98896

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 27 May 2001 18:43:30 -0400

libast1 (0.1.0-0pre2001051701) unstable; urgency=low

  * remove debian/build in clean target, Closes: #97852
  * removed debian/rules bashisms

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 17 May 2001 20:29:18 -0400

libast1 (0.1.0-0pre2001051101) unstable; urgency=low

  * Debian libast 0.1 pre-release
  * initial release

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 11 May 2001 21:50:31 -0400
