=== debian/changelog ===
libast (0.6-0pre2003010606sarge1) stable-security; urgency=high

  * Non-maintainer upload by the security team
  * Backported upstream patch to fix buffer overflow [conf.c,
    CVE-2006-0224]

 -- Martin Schulze <joey@infodrom.org>  Tue, 31 Jan 2006 12:00:14 +0100
