=== debian/control ===
Source: libast
Section: libs
Priority: optional
Maintainer: Laurence J. Lane <ljlane@debian.org>
Build-Depends: libimlib2-dev, xlibs-dev, cdbs, debhelper (>>4.1.0)
Standards-Version: 3.6.1.0

Package: libast2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libast1
Replaces: libast1
Description: the Library of Assorted Spiffy Things
 LibAST is the Library of Assorted Spiffy Things.  It contains many
 spiffy things, and it is a library.  Thus, the ever-so-creative name.
 LibAST has been previously known as libmej, the Eterm helper library
 which nobody really understood and certainly never used.  My current
 plan is to gradually remove some of the neat stuff from Eterm that
 could be made generic (things like the theme parsing engine, the
 command-line options parser, perhaps the event engine, ...) and place
 it here in the hopes that others will find them useful.

Package: libast2-dev
Architecture: any
Section: libdevel
Architecture: any
Depends: libimlib2-dev, libc6-dev, libast2 (= ${Source-Version})
Provides: libast1-dev, libast-dev
Conflicts: libast1-dev, libast-dev
Description: libast2 development files
 Headers, static libraries and documentation for developing software
 that uses libast2.
 .
 LibAST is the Library of Assorted Spiffy Things.  It contains many
 spiffy things, and it is a library.  Thus, the ever-so-creative name.
 LibAST has been previously known as libmej, the Eterm helper library
 which nobody really understood and certainly never used.  My current
 plan is to gradually remove some of the neat stuff from Eterm that
 could be made generic (things like the theme parsing engine, the
 command-line options parser, perhaps the event engine, ...) and place
 it here in the hopes that others will find them useful.
