=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS = --enable-mmx=no
DEB_DH_MAKESHLIBS_ARGS_libast2 = --version-info="libast2 (>= 0.6-0pre2003010606)"
DEB_SHLIBDEPS_LIBRARY_package = libast2
