## libast 0.6-0pre2003010606ubuntu0.0.4.10

=== debian/changelog ===
libast (0.6-0pre2003010606ubuntu0.0.4.10) warty-security; urgency=low

  * SECURITY: Fix buffer overflow due to improper bounds checking in
    src/conf.c::conf_find_file() . Reported by Johnny Mast
    <rave at rosiello.org>; fix backported from upstream version 0.7
    (Closes: #29464).
  * References:
    - CVE-2006-0224
    - Malone #29464

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Tue, 31 Jan 2006 16:48:15 -0800
