## libast 0.6-0pre2003010606.1

=== debian/changelog ===
libast (0.6-0pre2003010606.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch by Andreas Jochens to fix FTBFS with gcc 4.0
    (Closes: #287376)

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  3 Sep 2005 23:54:25 +0200
