## libast 0.6-0pre2003010606.1ubuntu0.1

=== debian/changelog ===
libast (0.6-0pre2003010606.1ubuntu0.1) breezy-security; urgency=low

  * SECURITY: Fix buffer overflow due to improper bounds checking in
    src/conf.c::conf_find_file() . Reported by Johnny Mast
    <rave@rosiello.org>; fix backported from upstream version 0.7
    (Closes: #29464).
  * References:
    - CVE-2006-0224
    - Malone #29464

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Sun, 29 Jan 2006 16:47:38 -0800
