=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Laurence J. Lane <ljlane@debian.org>
-Build-Depends: libimlib2-dev, xlibs-dev, cdbs, debhelper (>>4.1.0)
+Build-Depends: debhelper (>> 4.1.0), cdbs, libimlib2-dev, xlibs-dev
 Standards-Version: 3.6.1.0
 
 Package: libast2
@@ -24,7 +24,6 @@
 Package: libast2-dev
 Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libimlib2-dev, libc6-dev, libast2 (= ${Source-Version})
 Provides: libast1-dev, libast-dev
 Conflicts: libast1-dev, libast-dev
