## libast 0.6-0pre2003010606.1ubuntu4

=== debian/changelog ===
libast (0.6-0pre2003010606.1ubuntu4) dapper; urgency=low

  * include/libast.h (+l |= l<<32;\) (Closes Malone: #41207 again)
    - Thanks to Rocco Stanzione

 -- Barry deFreese <bddebian@comcast.net>  Sat, 13 May 2006 21:00:05 -0400

libast (0.6-0pre2003010606.1ubuntu3) dapper; urgency=low

  * Move previously mentioned libast-amd64-sizefix.patch into correct
    location so it's actually applied (Closes: Malone #41207).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat,  6 May 2006 16:16:14 -0400

libast (0.6-0pre2003010606.1ubuntu2) dapper; urgency=low

  * debian/patches/libast-amd64-sizefix.patch.
    + Added patch to fix libast on AMD64. (Closes: Malone #41207).
      Thanks to Rocco Stanzione.
    + Updated debian/rules to use the patch.

 -- Chuck Short <zulcss@gmail.com>  Tue, 25 Apr 2006 18:37:20 -0400

libast (0.6-0pre2003010606.1ubuntu1) dapper; urgency=low

  * SECURITY: Fix buffer overflow due to improper bounds checking in
    src/conf.c::conf_find_file() . Reported by Johnny Mast
    <rave@rosiello.org>; fix backported from upstream version 0.7
    (Closes: #29464).
  * References:
    - CVE-2006-0224
    - Malone #29464

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Sun, 29 Jan 2006 16:47:38 -0800
