=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 DEB_DESTDIR = $(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS = --enable-mmx=no
