## libast 0.7

=== debian/changelog ===
libast (0.7-12) unstable; urgency=medium

  * QA upload.
  * Udate watch file to point to GitHub. A new version 0.8 is availaible.
  * Switch from CDBS to DH 13 (Closes: #1115098)
  * Mark the tests that never ran before as non-fatal

  [ Tj ]
  * Fix C23 build issues (Closes: #1097163)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Sep 2025 22:43:29 +0200

libast (0.7-11) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.0.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Flagged libast2t64 with Multi-Arch: same.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Nov 2024 07:38:34 +0100

libast (0.7-10) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066437)
  * Set Rules-Requires-Root: no.
  * Whitespace and redundancy cleanup.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2024 19:17:52 +0200

libast (0.7-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062226

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 08:44:16 +0000

libast (0.7-9) unstable; urgency=medium

  * QA upload.
  * debian/rules: only run chrpath -d for the libast2 package, as glob
    now also match broken symlinks.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Feb 2018 19:34:56 +0100

libast (0.7-8) unstable; urgency=medium

  * QA upload.
  * Rebuild without Pre-Depends: multiarch-support.
  * Bump to debhelper 10.
  * Typo fix.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 19 Jul 2017 23:57:13 +0200

libast (0.7-7) unstable; urgency=medium

  * QA upload
  * debian/rules: use autoreconf in order to fix FTBFS on new architectures.
    Thanks to Logan Rosen for the patch! Closes: #735214.

 -- Ralf Treinen <treinen@debian.org>  Mon, 13 Oct 2014 20:49:15 +0200

libast (0.7-6) unstable; urgency=low

  * QA upload.
  * Pass --with-regexp=posix to have have a consistent build with the
    spiftool_regexp_match and spiftool_regexp_match_r symbols exported.
  * Stop shipping libast2.symbols for now, as the symbols list is not
    consistent between little and big endian architectures, and there
    is no official way to deal with it yet. Closes: #639560.

 -- Regis Boudin <regis@debian.org>  Tue, 30 Aug 2011 13:55:36 +0100

libast (0.7-5) unstable; urgency=low

  * QA upload.
  * Stop shipping .la files.
  * Convert to multiarch. Tighten build-dependencies accordingly.
  * Set debian/compat to 8.
  * Bump Standards-Version to 3.9.2.
  * Move to source format 3.0 (quilt).
  * Manualy remove rpath.

 -- Regis Boudin <regis@debian.org>  Thu, 25 Aug 2011 21:22:09 +0100

libast (0.7-4) unstable; urgency=low

  * Remove references to other libraries from dependency_libs field
    (Closes: #620435).

 -- Luk Claes <luk@debian.org>  Thu, 02 Jun 2011 17:58:55 +0200

libast (0.7-3) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Bump debhelper build-dep to >> 5.0.0.
  * Replace deprecated ${Source-Version} with ${binary:Version}.
  * Add ${misc:Depends}.
  * Remove duplicate Section from libast2 binary.
  * Add watch file.
  * Add Homepage.
  * Remove config.{sub,guess} on clean.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 12 May 2009 21:41:53 -0400

libast (0.7-2) unstable; urgency=low

  * added missing build dependency for X11/Intrinsic.h, reported by
    Hramrach. Thanks. closes: #437276
  * fixed FTBS, duplicate Architecture line in debian/control, reported
    by Lucas Nussbaum. Thanks. closes: #464305

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 18 Feb 2008 20:17:21 -0500

libast (0.7-1) unstable; urgency=low

  * New upstream version
  * CVE-2006-0224, buffer overflow fix, corrected upstream
  * updated to Standards-Version: 3.6.2.2

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 12 Feb 2006 18:11:15 -0500
