=== debian/control ===
Source: libast
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 chrpath,
 libimlib2-dev,
 libxt-dev,
Standards-Version: 4.7.2
Homepage: http://www.eterm.org/
Vcs-Browser: https://salsa.debian.org/debian/libast
Vcs-Git: https://salsa.debian.org/debian/libast.git

Package: libast2t64
Provides:
 ${t64:Provides},
Breaks:
 libast2 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libast1,
Replaces:
 libast1,
 libast2,
Description: Library of Assorted Spiffy Things
 LibAST is the Library of Assorted Spiffy Things.  It contains many
 spiffy things, and it is a library.  Thus, the ever-so-creative name.
 LibAST has been previously known as libmej, the Eterm helper library
 which nobody really understood and certainly never used.  The
 plan is to gradually remove some of the neat stuff from Eterm that
 could be made generic (things like the theme parsing engine, the
 command-line options parser, perhaps the event engine, ...) and place
 it here in the hopes that others will find them useful.

Package: libast2-dev
Architecture: any
Section: libdevel
Depends:
 libast2t64 (= ${binary:Version}),
 libc6-dev,
 libimlib2-dev,
 ${misc:Depends},
Provides:
 libast-dev,
 libast1-dev,
Conflicts:
 libast-dev,
 libast1-dev,
Description: libast2t64 development files
 Headers, static libraries and documentation for developing software
 that uses libast2.
 .
 LibAST is the Library of Assorted Spiffy Things.  It contains many
 spiffy things, and it is a library.  Thus, the ever-so-creative name.
 LibAST has been previously known as libmej, the Eterm helper library
 which nobody really understood and certainly never used.  The
 plan is to gradually remove some of the neat stuff from Eterm that
 could be made generic (things like the theme parsing engine, the
 command-line options parser, perhaps the event engine, ...) and place
 it here in the hopes that others will find them useful.
