=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# tooling is too old but I want to keep compat level 13
# "configure: error: unrecognized option: --runstatedir=/run"
override_dh_auto_clean:

override_dh_auto_configure:
	dh_auto_configure -- --enable-mmx=no --with-regexp=posix

override_dh_auto_test:
	-dh_auto_test
